cURL
curl --request POST \ --url https://api.dev.monei.cc/api/v1/offramp/exchange/initiate \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "amount": 100, "token": "USDT", "network": "base", "fiatCurrency": "NGN", "bankCode": "<string>", "accountNumber": "<string>", "accountName": "<string>" } '
{ "statusCode": 123, "message": "<string>", "data": { "id": "uuid-string", "reference": "OFF-ABC123XYZ", "status": "initiated", "amounts": { "crypto": { "value": 100.5, "asset": "USDT", "network": "base" }, "fiat": { "value": 150000, "currency": "NGN" }, "exchangeRate": 1550.25, "totalFee": 0.5 }, "beneficiary": { "bankCode": "058", "accountNumber": "0123456789", "accountName": "JOHN DOE" }, "onChain": { "depositAddress": "0xDepositAddress...", "txHash": "0xTransactionHash..." }, "provider": "monirates", "providerReference": "paycrest-order-id", "meta": {}, "timestamps": { "created": "2023-11-07T05:31:56Z", "updated": "2023-11-07T05:31:56Z", "completed": "2023-11-07T05:31:56Z", "failed": "2023-11-07T05:31:56Z" }, "failureReason": "Insufficient Gas" }, "errors": {} }
100
USDT
USDC
CNGN
base
polygon
arbitrum-one
bnb-smart-chain
ethereum
starknet
optimism
lisk
scroll
NGN
GHS
KES
USD
Bank Code (e.g. 058 for GTB)
Account Number
Account Name
Show child attributes